Name:           python-backports.entry-points-selectable
Version:        1.1.1
Release:        1%{?dist}
Summary:        Compatibility shim providing selectable entry points for older implementations
License:        MIT
URL:            https://github.com/jaraco/backports.entry_points_selectable
Source0:        %{pypi_source backports.entry_points_selectable}

BuildArch:      noarch

# You should not need to package this on Python 3.10+
BuildRequires:  python3-devel < 3.10

# The [testing] extra contains too many unrelated stuff for linting and coverage
BuildRequires:  python3-pytest

%global _description %{expand:
Compatibility shim to ease adoption of importlib_metadata 3.6.
Supplies forward-compatibility of “selectable” entry points even on older
versions of importlib_metadata and importlib.metadata,
and avoids usage that triggers deprecation warnings.}


%description %_description

%package -n     python3-backports.entry-points-selectable
Summary:        %{summary}

%description -n python3-backports.entry-points-selectable %_description


%prep
%autosetup -p1 -n backports.entry_points_selectable-%{version}

# Upstream claims to need setuptools 56+, but we don't have that in Fedora 34 / RHEL 9 yet
# The requirement comes from https://github.com/jaraco/skeleton/commit/14787e69e793d68c8a
# We'll specify the LICENSE file manually in %%files
sed -i 's/setuptools>=56/setuptools/' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install

# This package owns the backports namespace and the __init__.py file in it
# On 2021-12-02, there was no other package that would clash in F34 and/or EL9
%pyproject_save_files backports


%check
%pytest


%files -n python3-backports.entry-points-selectable -f %{pyproject_files}
%doc README.rst CHANGES.rst
%license %{python3_sitelib}/*.dist-info/LICENSE


%changelog
* Thu Dec 02 2021 Miro Hrončok <mhroncok@redhat.com> - 1.1.1-1
- Package generated with pyp2spec and adapted
